# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define name    blokken
%define version 1.2
%define release 1.2006mcnl
%define summary Overhoor programma
%define section More Applications/Education/Other

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:            http://blokken.sourceforge.net/
License:        GPL
Group:          Education
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:	%{name}_v%{version}_linux.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 

%description
Blokken, het veelzijdige educatieve programma voor mensen die op een leuke manier willen studeren.

%prep

%setup -q -n Blokken_12

%build
cd source/blokken
qmake -project
qmake
%make 
cd ..
cd blokkenbouwer
qmake -project
qmake
%make 

cd ..
cd ..

%install

#icons
%define  nameicon images/blokken_logo.PNG
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

mkdir -p %buildroot/%_datadir/apps/%name
%__cp source/blokken/blokken %buildroot/%_datadir/apps/%name/
%__cp source/blokkenbouwer/blokkenbouwer %buildroot/%_datadir/apps/%name/
%__cp settings.dat %buildroot/%_datadir/apps/%name/
%__cp Readme.txt %buildroot/%_datadir/apps/%name/
%__cp Disclaimer.txt %buildroot/%_datadir/apps/%name/
%__cp root.xml %buildroot/%_datadir/apps/%name/
%__cp -r Hand* %buildroot/%_datadir/apps/%name/
%__cp -r images %buildroot/%_datadir/apps/%name/
%__cp -r lessons %buildroot/%_datadir/apps/%name/
%__cp -r snd %buildroot/%_datadir/apps/%name/

install -d $RPM_BUILD_ROOT%{_bindir}
cat <<EOF >$RPM_BUILD_ROOT%{_bindir}/%{name}
#!/bin/sh
clear
	cd /usr/share/apps/blokken
	exec /usr/share/apps/blokken/blokken
exit 0
EOF

cat <<EOF >$RPM_BUILD_ROOT%{_bindir}/blokkenbouwer
#!/bin/sh
clear
	cd /usr/share/apps/blokken
	exec /usr/share/apps/blokken/blokkenbouwer
exit 0
EOF


# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="Blokken" \
longtitle="%summary"
EOF

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/blokkenbouwer << EOF
?package(%name): \
command="%_bindir/blokkenbouwer" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="Blokkenbouwer" \
longtitle="%summary"
EOF

%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,0755)
%doc Readme.txt Disclaimer.txt
%{_menudir}/%{name}
%{_menudir}/blokkenbouwer
%attr(755,root,root)%{_bindir}/%{name}
%attr(755,root,root)%{_bindir}/blokkenbouwer
%{_iconsdir}/%{name}.png
%{_iconsdir}/mini/%{name}.png
%{_iconsdir}/large/%{name}.png
%attr(666,root,root)%{_datadir}/apps/%{name}/settings.dat
%{_datadir}/apps/%{name}/Readme.txt
%{_datadir}/apps/%{name}/Disclaimer.txt
%attr(644,root,root)%{_datadir}/apps/%{name}/root.xml
%{_datadir}/apps/%{name}/Hand*
%{_datadir}/apps/%{name}/images
%{_datadir}/apps/%{name}/lessons
%{_datadir}/apps/%{name}/snd
%{_datadir}/apps/%{name}/%{name}
%{_datadir}/apps/%{name}/blokkenbouwer

%changelog 

*Sun Mar 19 2006 Marco Meijer <marco@mandrivaclub.nl> 1.2mcnl
first clubbuild www.mandrivaclub.nl

